Subject: Re: bug#15364: 24.3; git emacs segfault on loading local wubi phrases

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Sep 2013 11:32:30 +0300

> From: Eric Abrahamsen <[email-masked]>
> Date: Fri, 13 Sep 2013 15:35:58 +0800
> 
> I'm sending this report from emacs as it exists in archlinux's package
> system, but it's actually for the git version of emacs (updated "Fri Sep
> 13 15:21:28 2013")
> 
> I find that git emacs segfaults when loading a local phrase file for the
> wubi input method, which is an alternate Chinese-language input method
> you can find here: http://daiyuwen.freeshell.org/gb/wubi/wubi.html

That page is in Chinese, and I cannot find a link there for
downloading the input method.  Can you post a download link?

> Loading the library works fine, but wubi provides for keeping your own
> file of input phrases, so as to customize input. In my case the file
> looks like this:
> 
> ;;;; Generated by Wubi input method. Please don't modify it.
> 
> (wubi-batch-add nil
> "派出所"
> "外国人"
> "工期"
> ...
> "心里有数"
> "纠结"
> "拍摄"
> 
> )
> 
> The file is 12,934 lines long, all of those lines contained within the
> one sexp.

Please also post the minimal phrase file that still causes the crash.

> Anyway, I hope that's enough. Feel free to contact me if more info is
> necessary.

We also need the details of your Emacs version and its configuration,
you can provide all that by using the report-emacs-bug command from
the same Emacs binary which crashes.

Thanks.